Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1336141 - Review Request: lxqt-config-randr - GUI interface to RandR extension
Summary: Review Request: lxqt-config-randr - GUI interface to RandR extension
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews LXQt
TreeView+ depends on / blocked
 
Reported: 2016-05-14 19:02 UTC by Raphael Groner
Modified: 2016-05-29 22:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-24 18:05:22 UTC
lupinix.fedora: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-29333 None None None 2016-05-15 19:29:35 UTC

Description Raphael Groner 2016-05-14 19:02:37 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-config-randr.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-config-randr-0.1.2-1.20140202git6ada849.fc24.src.rpm
Description: GUI interface to RandR extension
Qt-based tool to configure the X output using the RandR 1.3/1.2 extension,
based in KDE parts, intended to be a viable option for the LXQt desktop.
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14065381

Comment 1 Raphael Groner 2016-05-14 19:13:58 UTC
incorrect FSF address: https://github.com/zballina/lxqt-config-randr/issues/9

Comment 2 Christian Dersch 2016-05-14 19:27:21 UTC
Taken!

Comment 3 Christian Dersch 2016-05-14 19:49:36 UTC
Looks fine => Approved! Thank you for packaging this :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2)",
     "GPL (v2 or later)", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in /home/review/1336141-lxqt-
     config-randr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lxqt-
     config-randr-debuginfo
[x]: Package functions as described.
====> Tested with Fedora 23

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lxqt-config-randr-0.1.2-1.20140202git6ada849.fc25.x86_64.rpm
          lxqt-config-randr-debuginfo-0.1.2-1.20140202git6ada849.fc25.x86_64.rpm
          lxqt-config-randr-0.1.2-1.20140202git6ada849.fc25.src.rpm
lxqt-config-randr.x86_64: W: no-manual-page-for-binary lxqt-config-randr
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: lxqt-config-randr-debuginfo-0.1.2-1.20140202git6ada849.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
lxqt-config-randr.x86_64: W: no-manual-page-for-binary lxqt-config-randr
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
lxqt-config-randr (rpmlib, GLIBC filtered):
    libICE.so.6()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

lxqt-config-randr-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
lxqt-config-randr:
    application()
    application(lxqt-config-randr.desktop)
    lxqt-config-randr
    lxqt-config-randr(x86-64)

lxqt-config-randr-debuginfo:
    lxqt-config-randr-debuginfo
    lxqt-config-randr-debuginfo(x86-64)



Source checksums
----------------
https://github.com/zballina/lxqt-config-randr/archive/6ada849baca7918078e53f7dece4d96b2a0e6210.tar.gz#/lxqt-config-randr-6ada849baca7918078e53f7dece4d96b2a0e6210.tar.gz :
  CHECKSUM(SHA256) this package     : 33452c37b59f4aa983c1ae4a460412ddffc2906796ad613242c7ad1096201b14
  CHECKSUM(SHA256) upstream package : 33452c37b59f4aa983c1ae4a460412ddffc2906796ad613242c7ad1096201b14


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1336141
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Raphael Groner 2016-05-15 19:29:35 UTC
FTR, Qt5 API issue may be related to 
https://codereview.qt-project.org/#/c/105285/

Comment 5 Kevin Kofler 2016-05-15 23:11:22 UTC
Please note that the linked Qt review will NOT make lxqt-config-randr compile. It actually REMOVES the last remains of 2 long-dead functions that were already not actually implemented (and even the declaration was not built, it was #ifdef-ed out). Even reverting that commit (which was apparently merged in some form, you are looking at the patch backwards) will not fix the problem, because the functions are only declared and not actually implemented.

lxqt-config-randr needs to stop using that obsolete API instead. There is no other fix.

Comment 6 Gwyn Ciesla 2016-05-17 14:14:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lxqt-config-randr

Comment 7 Raphael Groner 2016-05-17 15:28:32 UTC
Lubuntu has a fork with Qt5 support under LGPLv2.1 (my package has currently GPLv2+). But README.md says it's obsolete with lxqt-config-monitor.
https://code.launchpad.net/~lubuntu-dev/lxde/lxqt-config-randr

I've no idea how to proceed.

Comment 8 Raphael Groner 2016-05-19 14:30:48 UTC
Generated upstream bug URL is wrong, this works:
https://bugreports.qt.io/browse/QTBUG-29333

Comment 9 Fedora Update System 2016-05-19 17:34:17 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2076d36cf0

Comment 10 Fedora Update System 2016-05-19 17:34:23 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98a237cad5

Comment 11 Fedora Update System 2016-05-19 19:06:35 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9cc35acfd8

Comment 12 Fedora Update System 2016-05-21 01:31:51 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98a237cad5

Comment 13 Fedora Update System 2016-05-21 02:26:45 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2076d36cf0

Comment 14 Fedora Update System 2016-05-21 06:22:03 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9cc35acfd8

Comment 15 Fedora Update System 2016-05-24 18:05:20 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-29 22:22:16 UTC
lxqt-config-randr-0.1.2-2.20140202git6ada849.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.